package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.OrderAddress;


/**
*  service接口类
*/
public interface OrderAddressService{

    List<OrderAddress> getOrderAddressList(OrderAddress record);

    List<OrderAddress> getOrderAddressByPage(Page page, OrderAddress record);

    OrderAddress getOrderAddressById(String id);

    OrderAddress getOrderAddress(OrderAddress record);

    boolean createOrderAddress(OrderAddress record);

    boolean deleteOrderAddress(String id);

    boolean updateOrderAddress(OrderAddress record);
}

